Skip to main content
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-chart
Wallet - Net Worth Chart
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/net-worth-chart \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K",
  "currentTimestamp": "2025-07-31T23:59:59.000Z",
  "pastTimestamp": "2025-07-01T23:59:59.000Z",
  "history": [
    {
      "timestamp": "2025-07-30T23:59:59.000Z",
      "netWorth": "13210463.21",
      "netWorthChange": "1971274.94",
      "netWorthChangePercent": "17.54"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
walletAddress
string
required

An address of a wallet

Example:

"HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K"

Query Parameters

hours
integer<int32>
default:24

Number of hours of history to retrieve

Required range: 1 <= x <= 720
Example:

24

Response

200 - application/json
walletAddress
string
required

Wallet address

Example:

"HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K"

currentTimestamp
string
required

End timestamp of the chart period (ISO 8601)

Example:

"2025-07-31T23:59:59.000Z"

pastTimestamp
string
required

Start timestamp of the chart period (ISO 8601)

Example:

"2025-07-01T23:59:59.000Z"

history
object[]
required

Historical net worth data points